Bug 120024 - nvidiactl problems "restrictive permissions"
nvidiactl problems "restrictive permissions"
Status: CLOSED DUPLICATE of bug 73733
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 06:54 EDT by Laurent Haan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Haan 2004-04-05 06:54:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I installed the NVIDIA driver normally and wanted to start X. He gave
me the error "/dev/nvidiactl: permissions to restrictive".

So I read the NVIDIA Readme and changed the
/etc/security/console.perms and erased every line related to <dri>.
Then I changed the permissions back to 0666 and chown root and tried
again to launch X.

The same problem: permissions to restrictive.

is there a workaround or another file in Fedora I need to change ?

Version-Release number of selected component (if applicable):
latest nvidia driver

How reproducible:
Always

Steps to Reproduce:
1. install NVIDIA driver
2. edit XF86Config
3. start X
    

Actual Results:  black screen and error message

Expected Results:  see the NVIDIA logo and the login screen

Additional info:
Comment 1 Mike A. Harris 2004-04-05 19:07:44 EDT

*** This bug has been marked as a duplicate of 73733 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:02:25 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.